package com.example.country_quiz;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    private Button falseButton;
    private Button trueButton;
    private ImageButton nextButton;
    private ImageButton prevButton;
    private TextView questionTextView;

    private int currentQuestionIndex = 0;

    private Question [] questionBank = new Question[] {
            new Question(R.string.my_test_question, false),
            new Question(R.string.ques_one, true),
            new Question(R.string.ques_two, false),
            new Question(R.string.ques_three, false),
            new Question(R.string.ques_four, true),
            new Question(R.string.ques_five, true),
            new Question(R.string.ques_six, false),
            new Question(R.string.ques_seven, false),
            new Question(R.string.ques_eight, true),
            new Question(R.string.ques_nine, true),
            new Question(R.string.ques_ten, false),


    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        falseButton = findViewById(R.id.false_button);
        trueButton = findViewById(R.id.true_button);
        nextButton = findViewById(R.id.next_button);
        prevButton = findViewById(R.id.prev_button);
        questionTextView = findViewById(R.id.answer_text_view);

        falseButton.setOnClickListener(this);
        trueButton.setOnClickListener(this);
        nextButton.setOnClickListener(this);
        prevButton.setOnClickListener(this);

    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.false_button:
                checkAnswer(false);
                 break;

            case R.id.true_button:
                checkAnswer(true);
                 break;

            case R.id.next_button:
                // go to next question
                currentQuestionIndex = (currentQuestionIndex + 1) % questionBank.length;
                updateQuestion();
                break;

            case R.id.prev_button:
                // go to next question
                if(currentQuestionIndex > 0) {
                    currentQuestionIndex = (currentQuestionIndex - 1) % questionBank.length;
                    updateQuestion();
                }
        }

    }
    private void updateQuestion() {
        questionTextView.setText(questionBank[currentQuestionIndex].getAnswerResId());

    }
    private void checkAnswer(boolean userChooseCorrect) {
        boolean answerIsTrue = questionBank[currentQuestionIndex].isAnswerTrue();
        int toastMessageId = 0;

        if(userChooseCorrect == answerIsTrue) {
            toastMessageId = R.string.correct_answer;
        } else {
            toastMessageId = R.string.wrong_answer;
        }
        Toast.makeText(MainActivity.this, toastMessageId, Toast.LENGTH_SHORT).show();

    }

}